#include <Wire.h>
#include <LiquidCrystal_I2C.h>

// Set the LCD address to 0x27 or 0x3f for a 16 chars and 2 line display
LiquidCrystal_I2C lcd(0x27, 20, 4);
const int max471In = A0;

int RawValue= 0;
float Current = 0;

void setup(){  
  lcd.init();
  lcd.backlight();
  pinMode(max471In, INPUT);
  Serial.begin(9600);
}

void loop(){  
  RawValue = analogRead(max471In); 
  Current = (RawValue * 5.0 )/ 1024.0; // scale the ADC  
       
  Serial.print("Current = "); // shows the voltage measured     
  Serial.print(Current,3); //3 digits after decimal point
  Serial.println(" amps DC"); //3 digits after decimal point  
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("    Current:    ");
  lcd.setCursor(6,1);
  lcd.print(Current);
  delay(200);  
}
